nav {
	max-width: 1024px;
	margin: 0 auto;

	ul {
		a {
			font-family: 'Crimson Text', serif;
			font-size: 1.5rem;
			color: #ffffff;
			position: relative;

			@media only screen and (max-width: 1023px) {
				font-size: 1rem;
			}

			&.nav-link {
				margin-left: 1rem;
				margin-right: 1rem;

				&:after {
					content: '';
					position: absolute;
				    top: 100%;
				    left: 0.5rem;
				    width: calc(100% - 1rem);
				    height: 1px;
				    margin: 0;
				    background: #fff;
				    opacity: 0;
				    transform: translateY(-2rem);
				    transition: opacity 0.1s, transform 0.3s, height 0.3s;
				}

				&:hover {
			    	color: #ffffff;

			    	&:after {
				    	transform: translateY(-1rem);
				    	height: 0.5rem;

				    	@media only screen and (min-width: 991px) {
				    		opacity: 1;
				    	}
			    	}
			    }

			    &:focus {
			    	color: #ffffff;
			    }
			}
		}

		@media only screen and (max-width: 1023px) {
			margin-left: 0;
		}
	}
}

.navbar-brand {
	img {
		width: 9rem;
	}
}

.navbar-toggler {

	svg {
		fill: #fff;
		transform: rotateX(180deg);
		transition: transform 0.3s;
	}

	&.collapsed {

		svg {
			transform: rotateX(0);
		}
	}
}

.dropdown-menu {
	border: 4px solid #033921;
	overflow: hidden;

	&:before {
	    display: block;
	    position: absolute;
	    width: 4em;
	    height: 2em;
	    background-color: #033921;
	    top: -1.75rem;
	    left: 1em;
	    z-index: 2;
    	transform: skew(-40deg) rotateZ(25deg);

    	@media only screen and (min-width: 1023px) {
    		content: '';
    	}
	}
}